
/**
 *  Score is a high score record.
 *
 * @author Chris Thiel OFMCap
 * @version May 10, 2023
 */
public class Score implements Comparable<Score>
{
    // instance variables - replace the example below with your own
    private int score;
    private String name;

    /**
     * Constructor for objects of class Score
     */
    public Score(int s, String n)
    {
        this.score = s;
        this.name = n;
    }
    public Score(){
        this(0, "someone");
    }
    public Score(String data)
    {
        int i = data.indexOf(":");
        String s = data.substring(0, i).trim();
        this.name = data.substring(i+1).trim();
        this.score = Integer.parseInt(s);
        
    }
    public int getScore(){ 
        return score;
    }
    public String getName() { 
        return name;
    }
    public int compareTo(Score other){
        return other.score - this.score;// descending order
    }
    
    public String toString()
    {       
        return name +": "+ score;
    }
}
